/**
 * Svelte action to initialize Semantic UI `Sticky` component.
 * @module components/use-sticky
 */
import type { ActionReturn } from "svelte/action";
import type { StickySettings } from "../data/semantic-types";
/** Svelte action to initialize Semantic UI `Sticky` component.

https://fomantic-ui.com/modules/sticky.html

By default attaches itself to the parent component.
```
    <div class="ui right rail">
        <div class="ui segment sticky" use:sticky={{ offset: 10 }}>
            <div class="ui message">...</div>
            <button class="ui button red" on:click={reset}>Reset</button>
        </div>
    </div>
```
*/
export declare function sticky(node: Element, settings?: StickySettings): ActionReturn;
