/**
 * DateFormatter object, is initialized using a portion of CalendarSettings.
 * @module data/input-formatter
 */
import type { CalendarSettings } from "./semantic-types";
/** Number format function, must return null if it can't parse value and doesn't want to override it. */
export interface DateFormatter {
    format: (val: Date | undefined) => string;
    parse: (val: string) => Date | undefined;
}
/** DateFormatter implementation which uses a copy of FomanticCalendar code */
export declare class DateFmt implements DateFormatter {
    private settings;
    constructor(settings?: CalendarSettings);
    parse(val: string): Date | undefined;
    format(val: Date | undefined): string;
}
