/**
 * Text formatter object, is initialized using TextInputSettings,
 * which includes Number Settings , type, and precision.
 * @module data/input-formatter
 * @module data/input-formatter
 */
import { type TextInputSettings } from "../data/common";
/** Text format function, may be used to change case or limit charset. */
export interface TextFormatter {
    format: (val: string | string[]) => string;
    parse: (val: string) => string[] | string;
}
/** Text formatter implementation; supports case, charset, maxLen and list options */
export declare class TextFmt implements TextFormatter {
    settings: TextInputSettings;
    constructor(settings?: TextInputSettings);
    private fixCase;
    /** Remove characters outside the specified charset (ascii, latin, euro, any */
    private filterCharset;
    formatStr(val: string): string;
    format(val: string[] | string): string;
    parse(val: string): string[] | string;
}
